<div class="container mt-4">
    <div class="row">
      <div class="col-sm-4">
        <h1>Your Profile</h1>
      </div>
      <div class="col-sm-8">
        <div *ngIf="editForm.dirty" class="alert alert-info">
          <strong>Information:</strong> You have made changes.  Any unsaved changes will be lost!
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-sm-4">
        <div class="card">
          <img class="card-img-top img-thumbnail" src="{{photoUrl || '../../../assets/user.png'}}" alt="{{user.knownAS">
          <div class="card-body">
            <div>
              <strong>LocationL</strong>
              <p>{{user.city}}, {{user.country}}</p>
            </div>
            <div>
              <Strong>Age:</Strong>
              <p>{{user.age}}</p>
            </div>
            <div>
              <Strong>Last Active:</Strong>
              <p>{{user.lastActive | timeAgo}}</p>
            </div>
            <div>
              <Strong>Member Since:</Strong>
              <p>{{user.created | date: 'mediumDate'}}</p>
            </div>
          </div>
          <div class="card-footer">
            <button [disabled]="!editForm.dirty" form="editForm" class="btn btn-success btn-block w-100">Save Changes</button>            
          </div>
        </div>
      </div>
      <div class="col-sm-8">
        <div class="tab-panel">
          <tabset class="member-tabset">
            <tab heading="Edit Profile">
              <form #editForm="ngForm" id="editForm" (ngSubmit)="updateUser()">
                  <h4>Description</h4>
                  <textarea name="introduction" rows="6" class="form-control"
                    [(ngModel)]="user.introduction" ></textarea>
                  <h4>Looking For</h4>
                  <textarea name="lookingFor" rows="6" class="form-control"
                    [(ngModel)]="user.lookingFor" ></textarea>
                  <h4>Interests</h4>
                  <textarea name="interests" rows="6" class="form-control"
                    [(ngModel)]="user.interests" ></textarea>
                  <h4>Location Details:</h4>
                  <div class="form-inline">
                    <label for="city">City</label>
                    <input class="form-control" type="text" name="city" [(ngModel)]="user.city">
                    <label for="country">City</label>
                    <input class="form-control" type="text" name="country" [(ngModel)]="user.country">
                  </div>
              </form>
              <h4>Description</h4>
              <p>{{user.introduction}}</p>
              <h4>Looking For</h4>
              <p>{{user.lookingFor}}</p>
            </tab>
            <tab heading="Edit Photos">
              <app-photo-editor [photos]="user.photos" 
                (getMemberPhotoChange)="updateMainPhoto($event)">
              </app-photo-editor>
            </tab>
          </tabset>
        </div>
      </div>
    </div>
  </div>
